#!/usr/bin/perl

use strict ;
use warnings ;
use autodie ;

use Test::More tests => 8 ;

use Stanford::Orange::Nagios ;

my $nagios = Stanford::Orange::Nagios->new() ;

ok($nagios, 'test object creation') ;

ok($nagios->to_s() =~ m{NOT[ ]DEFINED}xsm, 'test to_s') ;

my $at_error ;

eval { $nagios->finish() ; } ;
$at_error = $@ ;
ok($at_error =~ m{you[ ]must[ ]set[ ]an[ ]exit[ ]state.*before[ ]finishing}xsm,
    'dies if exit state not set') ;

$nagios->set_ok() ;

eval { $nagios->finish() ; } ;
$at_error = $@ ;
ok($at_error =~ m{you[ ]must[ ]call[ ]set_exit_message[ ]before[ ]finishing}xsm,
    'dies if exit text not set') ;

$nagios->set_exit_message('test passes') ;

$nagios->set_ok() ;
ok($nagios->to_s() =~ m{OK}xsm, 'test setting OK') ;

$nagios->set_warning() ;
ok($nagios->to_s() =~ m{WARNING}xsm, 'test setting WARNING') ;

$nagios->set_critical() ;
ok($nagios->to_s() =~ m{CRITICAL}xsm, 'test setting CRITICAL') ;

$nagios->set_unknown() ;
ok($nagios->to_s() =~ m{UNKNOWN}xsm, 'test setting UNKNOWN') ;

